Subject: bug#65344: 28.2; Unable to Edebug cl-flet form which uses argument destructuring

From: Gerd Möllmann <[email-masked]>
Date: Thu, 17 Aug 2023 07:29:17 +0200

> (cl-flet ((fn ((min max))
>      (message "%d %d" min max)))
>   (fn '(2 3)))
> 
> The cl-flet form evaluates fine (e.g. with C-x C-e or C-M-x), which
> leads me to conclude that this construct is legal. 

I think this lambda-list is invalid.  It certainly is invalid in CL, and 
I can't find any extension mentioned in the Emacs docs.

Why this doesn't signal an error at evaluation time, I don't know.  If 
you try this with defun, you get an error.